Ecore_Sdl.h File Reference

- Main Page
- Related Pages
- Topics
- Data Structures
- Files
- Examples

- File List
- Globals

Data Structures | Macros | Typedefs | Functions | Variables
Ecore_Sdl.h File Reference

Ecore SDL system functions. More...

## Data Structures
struct | _Ecore_Sdl_Event_Video_Resize
struct | _Ecore_Sdl_Event_Window
struct | _Ecore_Sdl_Event_Key_Down
| SDL Key Down event. More...
struct | _Ecore_Sdl_Event_Key_Up
| SDL Key Up event. More...
struct | _Ecore_Sdl_Event_Mouse_Button_Down
| SDL Mouse Down event. More...
struct | _Ecore_Sdl_Event_Mouse_Button_Up
| SDL Mouse Up event. More...
struct | _Ecore_Sdl_Event_Mouse_Move
| SDL Mouse Move event. More...
struct | _Ecore_Sdl_Event_Mouse_Wheel
| SDL Mouse Wheel event. More...

## Typedefs
typedef struct _Ecore_Sdl_Event_Video_Resize | Ecore_Sdl_Event_Video_Resize
typedef struct _Ecore_Sdl_Event_Window | Ecore_Sdl_Event_Window
typedef struct _Ecore_Sdl_Event_Key_Down | Ecore_Sdl_Event_Key_Down
typedef struct _Ecore_Sdl_Event_Key_Up | Ecore_Sdl_Event_Key_Up
typedef struct _Ecore_Sdl_Event_Mouse_Button_Down | Ecore_Sdl_Event_Mouse_Button_Down
typedef struct _Ecore_Sdl_Event_Mouse_Button_Up | Ecore_Sdl_Event_Mouse_Button_Up
typedef struct _Ecore_Sdl_Event_Mouse_Move | Ecore_Sdl_Event_Mouse_Move
typedef struct _Ecore_Sdl_Event_Mouse_Wheel | Ecore_Sdl_Event_Mouse_Wheel

## Functions
EAPI int | ecore_sdl_init (const char *name)
| Sets up the Ecore_Sdl library.
EAPI int | ecore_sdl_shutdown (void)
| Shuts down the Ecore_Sdl library.
EAPI void | ecore_sdl_feed_events (void)
| Poll SDL for mouse, keyboard, and window events, and add corresponding events to ecore.

## Variables
EAPI int | ECORE_SDL_EVENT_GOT_FOCUS
EAPI int | ECORE_SDL_EVENT_LOST_FOCUS
EAPI int | ECORE_SDL_EVENT_RESIZE
EAPI int | ECORE_SDL_EVENT_EXPOSE

## Detailed Description

Ecore SDL system functions.

## Function Documentation

## ◆ ecore_sdl_init()

EAPI int ecore_sdl_init | ( | const char * | name | ) |

Sets up the Ecore_Sdl library.

Parameters

  name | device target name

Returns
  `0` on failure. Otherwise, the number of times the library has been initialised without being shut down.

References ecore_event_init(), ecore_event_type_new(), eina_log_domain_register(), and EINA_LOG_ERR.

## ◆ ecore_sdl_shutdown()

EAPI int ecore_sdl_shutdown | ( | void |  | ) |

Shuts down the Ecore_Sdl library.

Returns
  `The` number of times the system has been initialised without being shut down.

References ecore_event_shutdown(), ecore_event_type_flush, and eina_log_domain_unregister().